image: node:8.10.0

before_script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - apt-get install -y npm
    - gem install dpl

cache:
  paths:
    - node_modules/

stages:
    - install
    - production

Install:
    stage: install
    image: ruby:latest
    script: npm install
    

Production:
    stage: production
    image: ruby:latest
    script:
        - apt-get update -qy
        - apt-get install -y ruby-dev
        - gem install dpl
        - dpl --provider=heroku --app=$HEROKU_APP_NAME --api-key=$HEROKU_API_KEY
    only:
        - master